Name:           glfw-wayland-minecraft-cursorfix
Version:        3.4
Release:        2
Epoch:          1
Summary:        A multi-platform library for OpenGL, OpenGL ES, Vulkan, window and input (wayland, patched for Minecraft)
License:        Zlib
URL:            https://pagure.io/glfw-wayland-minecraft-cursorfix
Obsoletes:      glfw <= %{version}
Provides:       glfw = %{version}
Conflicts:      glfw
Source0:        https://github.com/glfw/glfw/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        0001-Key-Modifiers-Fix.patch
Source2:        0002-Fix-duplicate-pointer-scroll-events.patch
Source3:        0003-Implement-glfwSetCursorPosWayland.patch
Source4:        0004-Fix-Window-size-on-unset-fullscreen.patch
Source5:        0005-Add-warning-about-being-an-unofficial-patch.patch
Source6:        0006-Avoid-error-on-startup.patch
Source7:        0007-Fix-fullscreen-location.patch
Source8:        0008-Fix-forge-crash.patch

BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  pkgconfig(dri)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)

BuildRequires:  extra-cmake-modules
BuildRequires:  libxkbcommon-devel
BuildRequires:  vulkan-devel
BuildRequires:  wayland-devel
BuildRequires:  wayland-protocols-devel

%description
GLFW is a multi-platform library for OpenGL, OpenGL ES, Vulkan, window and input.

This is a fedora port of the AUR package under the same name.
It fixes various issues when using this library with minecraft on wayland.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}
Requires:       pkgconfig(dri)
Requires:       pkgconfig(glu)
Requires:       pkgconfig(x11)
Requires:       pkgconfig(xcursor)
Requires:       pkgconfig(xi)
Requires:       pkgconfig(xinerama)
Requires:       pkgconfig(xrandr)

%description devel
The glfw-devel package contains header files for developing glfw
applications.

%package        doc
Summary:        Documentation for %{name}
BuildArch:      noarch

%description doc
The %{name}-doc package contains documentation for developing applications
with %{name}.


%prep
%setup -q -n glfw-3.4
find . -type f | xargs sed -i 's/\r//'
for patch in %{_sourcedir}/00*.patch; do
    echo "Applying patch $patch"
    patch -p1 < "$patch"
done

%build
%cmake
%cmake_build --target all

%install
%cmake_install

%files
%license LICENSE.md
%doc README.md
%{_libdir}/libglfw.so.3*

%files devel
%{_includedir}/GLFW/
%{_libdir}/libglfw.so
%{_libdir}/pkgconfig/glfw3.pc
%{_libdir}/cmake/glfw3/

%files doc
%doc %{_docdir}/GLFW/

%changelog
%autochangelog
